Subject: bug#25666: Screen rendering bug

From: [email-masked]
Date: Sun, 12 Feb 2017 10:56:27 -0500

found 25666 24.4
found 25666 25.1
tags 25666 confirmed
retitle 25666 split-screen + linum-mode in tall TTY fails to fully render other window after scrolling
severity 25666 minor
quit

>  > From: Fredrik Ljungdahl <[email-masked]>
>  > Date: Thu, 9 Feb 2017 09:23:48 +0100
>  >
>  > * I used a 146x46 size terminal (potentially matters)
>  > * Acquire this: http://sprunge.us/hVNi
>  > * Invoke emacs with emacs -Q
>  > * Go to this file (C-x C-f hVNi)
>  > * Invoke line number mode (M-x linum-mode), lack of linum-mode doesn't seem to reproduce this
>  > * Split the window (C-x 3)
>  > * Hold down C-n (C-v does not reproduce this)
>  > * On the 2nd half-scroll, the 2nd split window should have its rendering messed up in obvious ways

Fredrik Ljungdahl <[email-masked]> writes:

> I attempted to reproduce this in a different terminal, in case that
> was the issue (I originally used Konsole), in this case xterm. I was
> not able to reproduce under the standard resolution of 80x24. However,
> by increasing the resolution by fullscreening it (resulting in a
> terminal size of 212x78), I was able to once again reproducue the
> bug. Further testing shows that, with that particular file, I am able
> to reproduce the issue in 116x24 but not 80x24. I am guessing that
> text wrapping is involved in some way, but I can't consistently figure
> out where the bug reproduces and when it doesn't (aside from it always
> or never reproducing under the same terminal size).

I can reproduce this.  Doing C-l fixes it, and I can't reproduce after
that until I delete and resplit the window.  My terminal is urxvt.

I can't reproduce in 24.3.

I notice that the `linum' face is rendered identically to the default
face in 24.4 and up.  Could be related.

It doesn't happen with nlinum-mode, probably because with nlinum-mode
when the left window scrolls, the margin in the right window is widened
too.